POST /whatsapp/wa-groups

Create a group; returns its id and invite link

POST
/whatsapp/wa-groups

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

subject*string
Lengthlength <= 128
description?string
Lengthlength <= 2048
joinApprovalMode?string
Value in"approval_required""auto_approve"

Response Body

{success, group}

application/json
  1. response
success?boolean
group?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/wa-groups' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "subject": "string"}'
Example Response
{  "success": true,  "group": {    "groupId": "string",    "inviteLink": "string"  }}